diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index 9c57be8e3..8927e5511 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -492,7 +482,7 @@ public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFi
 
             buffer.position(0).limit(size);
             glGetTexImage(GL_TEXTURE_2D, 0, GL_RGBA, GL_UNSIGNED_BYTE, buffer);
-            if(glGetError() == 0) {
+            if (glGetError() == 0) {
                 buffer.position(0);
                 File outPut;
                 String timeStamp = "Render_" + dateFormat.format(new Date());
@@ -502,17 +492,17 @@ public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFi
                 }
                 ImageUtils.saveExternalImage(Textures.getImage(buffer, w, h, true, true), outPut);
 
-            }else {
+            } else {
                 LOGGER.warn("Cannot get pixel data for screenshot!");
             }
-        } catch (Exception e){
+        } catch (Exception e) {
             LOGGER.error("Exception while trying to take Model Viewer ScreenShot", e);
         }
     }
 
     public void specificScreenshot(@NotNull File destination) {
         try {
-            Texture texture = ((ShadersRenderer)mc.renderer).getWorldFramebufferTex();
+            Texture texture = ((ShadersRenderer) this.mc.renderer).getWorldFramebufferColor();
             texture.bind();
 
             int w = glGetTexLevelParameteri(GL_TEXTURE_2D, 0, GL_TEXTURE_WIDTH);
@@ -524,28 +514,28 @@ public class ScreenModelViewer extends ScreenPhotoMode implements ListenerTextFi
 
             buffer.position(0).limit(size);
             glGetTexImage(GL_TEXTURE_2D, 0, GL_RGBA, GL_UNSIGNED_BYTE, buffer);
-            if(glGetError() == 0) {
+            if (glGetError() == 0) {
                 buffer.position(0);
                 ImageUtils.saveExternalImage(Textures.getImage(buffer, w, h, true, true), destination);
 
-            }else {
+            } else {
                 LOGGER.warn("Cannot get pixel data for screenshot!");
             }
-        } catch (Exception e){
+        } catch (Exception e) {
             LOGGER.error("Exception while trying to take Model Viewer ScreenShot", e);
         }
     }
 
     public void bulkRender() {
-        iRotation = iRotationGoal = 0;
-        iPanX = iPanXGoal = lastIPanX = 0;
-        iPanY = iPanYGoal = lastIPanY = -0.4574755f;
-        iZoom = iZoomGoal = 8.5f;
-        mc.gameWindow.setWindowSize(1024, 1024);
-        File bulkOutputDir = new File(mc.getMinecraftDir(), "bulkRenders");
+        this.iRotation = this.iRotationGoal = 0;
+        this.iPanX = this.iPanXGoal = this.lastIPanX = 0;
+        this.iPanY = this.iPanYGoal = this.lastIPanY = -0.4574755f;
+        this.iZoom = this.iZoomGoal = 8.5f;
+        this.mc.gameWindow.setWindowSize(1024, 1024);
+        File bulkOutputDir = new File(this.mc.getMinecraftDir(), "bulkRenders");
         bulkOutputDir.mkdirs();
 
-        setCategory(blockCategory);
-        blockCategory.queueBulkRender(bulkOutputDir, blockCategoryBulkRenders);
+        setCategory(this.blockCategory);
+        this.blockCategory.queueBulkRender(bulkOutputDir, this.blockCategoryBulkRenders);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
index d9a477db9..372f7bb87 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/ScreenNBTEditor.java
@@ -2,22 +2,17 @@ package net.minecraft.client.gui.nbteditor;
 
 import com.mojang.logging.LogUtils;
 import com.mojang.nbt.tags.CompoundTag;
-import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.nbteditor.components.AbstractTagComponent;
 import net.minecraft.client.gui.nbteditor.components.CompoundTagComponent;
 import net.minecraft.client.render.Scissor;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
 import org.slf4j.Logger;
 
-import java.util.ArrayList;
-import java.util.Comparator;
-import java.util.List;
 import java.util.function.Function;
 
 public class ScreenNBTEditor extends Screen {
@@ -48,102 +43,102 @@ public class ScreenNBTEditor extends Screen {
     @Override
     public void removed() {
         if (this.tagAction != null) {
-            this.tagAction.apply((CompoundTag) compoundTagComponent.tag);
+            this.tagAction.apply((CompoundTag) this.compoundTagComponent.tag);
         }
     }
 
     @Override
     public void render(int mx, int my, float partialTick) {
-        int compHeight = compoundTagComponent.height(-1, -1, partialTick);
+        int compHeight = this.compoundTagComponent.height(-1, -1, partialTick);
         int minScroll = 0;
-        int maxScroll = Math.max(compHeight - (height - 84), 0);
+        int maxScroll = Math.max(compHeight - (this.height - 84), 0);
         this.scroll += Mouse.getDWheel() * 10;
         this.scroll = MathHelper.clamp(this.scroll, -maxScroll, minScroll);
 
         renderBackground();
         super.render(mx, my, partialTick);
 
-        Tessellator t = Tessellator.instance;
+        TessellatorGeneral t = GLRenderer.getTessellator();
 
         {
-            int popupWidth = width/2 + 40;
-            int popupHeight = height - 40;
-            int popupX = width / 2 - popupWidth / 2;
-            int popupY = height / 2 - popupHeight / 2;
+            int popupWidth = this.width / 2 + 40;
+            int popupHeight = this.height - 40;
+            int popupX = this.width / 2 - popupWidth / 2;
+            int popupY = this.height / 2 - popupHeight / 2;
 
-            GL11.glDisable(GL11.GL_LIGHTING);
-            GL11.glDisable(GL11.GL_FOG);
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            GLRenderer.globalSetLightEnabled(false);
+//            GL11.glDisable(GL11.GL_FOG);
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
-            GL11.glEnable(GL11.GL_TEXTURE_2D);
+//            GL11.glEnable(GL11.GL_TEXTURE_2D);
             float f = 32F;
             t.startDrawingQuads();
-            mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-            t.setColorOpaque_I(0x404040);
-            t.addVertexWithUV(popupX, popupY + popupHeight, 0.0D, 0.0D, (float)popupHeight / f);
-            t.addVertexWithUV(popupX + popupWidth, popupY + popupHeight, 0.0D, (float)popupWidth / f, (float)popupHeight / f);
-            t.addVertexWithUV(popupX + popupWidth, popupY, 0.0D, (float)popupWidth / f, 0);
+            this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+            t.setColorOpaque1i(0x404040);
+            t.addVertexWithUV(popupX, popupY + popupHeight, 0.0D, 0.0D, (float) popupHeight / f);
+            t.addVertexWithUV(popupX + popupWidth, popupY + popupHeight, 0.0D, (float) popupWidth / f, (float) popupHeight / f);
+            t.addVertexWithUV(popupX + popupWidth, popupY, 0.0D, (float) popupWidth / f, 0);
             t.addVertexWithUV(popupX, popupY, 0.0D, 0.0D, 0);
             t.draw();
 
-            drawRect(width/4, 40, (width * 3)/4, height - 40, 0x88000000);
+            drawRect(this.width / 4, 40, (this.width * 3) / 4, this.height - 40, 0x88000000);
         }
 
-        fontRenderer.renderCentered(t, title, width/2, 26).setShadow().call();
+        this.fontRenderer.renderCentered(this.title, this.width / 2, 26).setShadow().call();
 
         if (minScroll != maxScroll) {
-            drawRect((width * 3)/4 - 5, 41, (width * 3)/4 - 1, height - 43, 0xFF000000);
+            drawRect((this.width * 3) / 4 - 5, 41, (this.width * 3) / 4 - 1, this.height - 43, 0xFF000000);
 
             int scrollableRegion = compHeight;
-            int regionHeight = height - 84;
-            int sMin = (int) scroll;
+            int regionHeight = this.height - 84;
+            int sMin = (int) this.scroll;
 
-            int barMinX = (width * 3)/4 - 6;
-            int barMaxX = (width * 3)/4 - 2;
-            int barMinY = (42 - MathHelper.round(((double)sMin/scrollableRegion) * regionHeight));
-            int barMaxY = barMinY + MathHelper.round(((double)regionHeight/scrollableRegion) * regionHeight);
+            int barMinX = (this.width * 3) / 4 - 6;
+            int barMaxX = (this.width * 3) / 4 - 2;
+            int barMinY = (42 - MathHelper.round(((double) sMin / scrollableRegion) * regionHeight));
+            int barMaxY = barMinY + MathHelper.round(((double) regionHeight / scrollableRegion) * regionHeight);
 
             boolean hovered = mx >= barMinX && mx <= barMaxX && my >= barMinY && my <= barMaxY;
             drawRect(barMinX, barMinY, barMaxX, barMaxY, hovered ? 0xFFCCCCFF : 0xFFFFFFFF);
         }
 
-        Scissor.enable(width/4 - 20, 40, width/2 + 13, height - 80);
-        int y = (int) (42 + scroll);
+        Scissor.enable(this.width / 4 - 20, 40, this.width / 2 + 13, this.height - 80);
+        int y = (int) (42 + this.scroll);
         boolean inPane =
-            mx >= width/4 - 20 &&
-            mx <=(width * 3)/4 -20 + 13 &&
-            my >= 40 &&
-            my <= height - 40;
-        compoundTagComponent.render(t, width/4 + 2, y, inPane ? mx - width/4 : -1, inPane ? my - y : -1, partialTick);
+            mx >= this.width / 4 - 20 &&
+                mx <= (this.width * 3) / 4 - 20 + 13 &&
+                my >= 40 &&
+                my <= this.height - 40;
+        this.compoundTagComponent.render(t, this.width / 4 + 2, y, inPane ? mx - this.width / 4 : -1, inPane ? my - y : -1, partialTick);
         Scissor.disable();
 
-        drawBox(width/4 - 20, 20, (width * 3)/4 + 20, height - 20, 0xFFFFFFFF, 1);
-        drawBox(width/4, 40, (width * 3)/4, height - 40, 0xFFFFFFFF, 1);
+        drawBox(this.width / 4 - 20, 20, (this.width * 3) / 4 + 20, this.height - 20, 0xFFFFFFFF, 1);
+        drawBox(this.width / 4, 40, (this.width * 3) / 4, this.height - 40, 0xFFFFFFFF, 1);
     }
 
     @Override
     public void mouseClicked(int mx, int my, int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
 
-        int y = (int) (42 + scroll);
+        int y = (int) (42 + this.scroll);
         boolean inPane =
-            mx >= width/4 - 20 &&
-                mx <=(width * 3)/4 -20 + 13 &&
+            mx >= this.width / 4 - 20 &&
+                mx <= (this.width * 3) / 4 - 20 + 13 &&
                 my >= 40 &&
-                my <= height - 40;
-        compoundTagComponent.onMouseClick(inPane ? mx - width/4 : -1, inPane ? my - y : -1, buttonNum, 1);
+                my <= this.height - 40;
+        this.compoundTagComponent.onMouseClick(inPane ? mx - this.width / 4 : -1, inPane ? my - y : -1, buttonNum, 1);
     }
 
     @Override
     public void mouseReleased(int mx, int my, int buttonNum) {
         super.mouseReleased(mx, my, buttonNum);
 
-        int y = (int) (42 + scroll);
+        int y = (int) (42 + this.scroll);
         boolean inPane =
-            mx >= width/4 - 20 &&
-                mx <=(width * 3)/4 -20 + 13 &&
+            mx >= this.width / 4 - 20 &&
+                mx <= (this.width * 3) / 4 - 20 + 13 &&
                 my >= 40 &&
-                my <= height - 40;
-        compoundTagComponent.onMouseRelease(inPane ? mx - width/4 : -1, inPane ? my - y : -1, buttonNum, 1);
+                my <= this.height - 40;
+        this.compoundTagComponent.onMouseRelease(inPane ? mx - this.width / 4 : -1, inPane ? my - y : -1, buttonNum, 1);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/AbstractTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/AbstractTagComponent.java
index e31a922bf..5149e91cc 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/AbstractTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/AbstractTagComponent.java
@@ -16,11 +16,11 @@ import com.mojang.nbt.tags.StringTag;
 import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 
 public abstract class AbstractTagComponent<T> extends Gui {
     public static final int COLOR_BACKGROUND = 0x88A0A0A0;
@@ -36,8 +36,8 @@ public abstract class AbstractTagComponent<T> extends Gui {
         this.tag = tag;
     }
 
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
-        GL11.glColor4f(1, 1, 1, 1);
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
+        GLRenderer.setColor4f(1, 1, 1, 1);
         drawGuiIcon(offX, offY, 12, 12, getIcon(mx, my, partialTick));
     }
 
@@ -45,7 +45,7 @@ public abstract class AbstractTagComponent<T> extends Gui {
         return 12;
     }
     public int width(int mx, int my, float partialTick) {
-        return attachedScreen.width/2;
+        return this.attachedScreen.width/2;
     }
 
     public boolean isHovered(int mx, int my, float partialTick) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ArrayTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ArrayTagComponent.java
index c23eb9589..553581180 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ArrayTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ArrayTagComponent.java
@@ -4,12 +4,9 @@ import com.mojang.logging.LogUtils;
 import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.popup.PopupBuilder;
-import net.minecraft.client.render.tessellator.Tessellator;
 import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
-import java.lang.reflect.Array;
-
 public abstract class ArrayTagComponent<T> extends AbstractTagComponent<T> {
     private static final Logger LOGGER = LogUtils.getLogger();
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ByteArrayTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ByteArrayTagComponent.java
index 2c117f799..4b0dbbad4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ByteArrayTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ByteArrayTagComponent.java
@@ -1,15 +1,12 @@
 package net.minecraft.client.gui.nbteditor.components;
 
-import com.mojang.logging.LogUtils;
 import com.mojang.nbt.tags.ByteArrayTag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.gui.popup.PopupBuilder;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
 import org.jetbrains.annotations.NotNull;
-import org.slf4j.Logger;
 
 public class ByteArrayTagComponent extends ArrayTagComponent<byte[]> {
     public static final @NotNull IconCoordinate icon = TextureRegistry.getTexture("minecraft:gui/screen/nbt/byte_array_tag");
@@ -20,13 +17,13 @@ public class ByteArrayTagComponent extends ArrayTagComponent<byte[]> {
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + width(mx, my, partialTick), offY + height(mx, my, partialTick), isHovered(mx, my, partialTick) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " bytes", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" bytes", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/CompoundTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/CompoundTagComponent.java
index da7136917..1e409066c 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/CompoundTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/CompoundTagComponent.java
@@ -3,7 +3,7 @@ package net.minecraft.client.gui.nbteditor.components;
 import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
@@ -33,14 +33,14 @@ public class CompoundTagComponent extends AbstractTagComponent<@NotNull Map<Stri
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + super.width(mx, my, partialTick), offY + super.height(mx, my, partialTick),
             (mx >= 0 && mx <= super.width(mx, my, partialTick) && my >= 0 && my <= super.height(mx, my, partialTick)) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().size(), attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " entries", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().size(), attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" entries", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
 
         if (expanded) {
             int y = offY + super.height(mx, my, partialTick) + COMPONENT_PADDING;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/DoubleArrayTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/DoubleArrayTagComponent.java
index 591c9a606..7f63dbc4e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/DoubleArrayTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/DoubleArrayTagComponent.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.nbteditor.components;
 
 import com.mojang.nbt.tags.DoubleArrayTag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
@@ -21,13 +21,13 @@ public class DoubleArrayTagComponent extends ArrayTagComponent<double[]> {
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + width(mx, my, partialTick), offY + height(mx, my, partialTick), isHovered(mx, my, partialTick) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " doubles", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" doubles", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ListTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ListTagComponent.java
index fb4b281ca..8b291f73e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ListTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ListTagComponent.java
@@ -3,7 +3,7 @@ package net.minecraft.client.gui.nbteditor.components;
 import com.mojang.nbt.tags.ListTag;
 import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
@@ -32,14 +32,14 @@ public class ListTagComponent extends AbstractTagComponent<List<Tag<?>>>{
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + super.width(mx, my, partialTick), offY + super.height(mx, my, partialTick),
             (mx >= 0 && mx <= super.width(mx, my, partialTick) && my >= 0 && my <= super.height(mx, my, partialTick)) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().size(), attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " entries", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().size(), attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" entries", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
 
         if (expanded) {
             int y = offY + super.height(mx, my, partialTick) + COMPONENT_PADDING;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/LongArrayTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/LongArrayTagComponent.java
index 12e9bbe14..1b341aa35 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/LongArrayTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/LongArrayTagComponent.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.nbteditor.components;
 
 import com.mojang.nbt.tags.LongArrayTag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
@@ -21,13 +21,13 @@ public class LongArrayTagComponent extends ArrayTagComponent<long[]> {
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + width(mx, my, partialTick), offY + height(mx, my, partialTick), isHovered(mx, my, partialTick) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " longs", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" longs", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
     }
 
     @Override
